// required start
@import 'custom';
@import '~bootstrap/scss/functions';
@import '~bootstrap/scss/variables';
@import '~bootstrap/scss/mixins';
// required end
@import "stresstest/button";
@import "stresstest/images";
@import "stresstest/general";
@import "stresstest/modal";
@import "stresstest/override";

html {
    min-height: 100%;
}

body {
    background-color: #00318F !important;
}

.container-login-register {
    display: none !important;
}

.lct {
    &__stress_test__quiz {
        .quiz--outer {
            // height: calc(100vh - 78px);
            // display: flex;
            // flex-direction: column;
            // position: relative;

            .animation--wrapper {
                // flex: 0 0 50%;
                // max-height: 50%;

                .swiper-container {
                    // flex: 1 1 auto;
                }

                .video--wrapper {
                    // flex: 1 1 auto;
                    height: 0;
                    width: 100%;
                    position: relative;
                    padding-bottom: 30%;

                    video {
                        position: absolute;
                        top: 0;
                        left: 0;
                        width: 100%;
                        height: 100%;
                        object-fit: cover;

                        // width: 100%;
                        // height: auto;
                    }

                    @media screen and (max-width: 767px){
                        padding-bottom: 90%;
                    }

                    @media screen and (max-width: 399px){
                        padding-bottom: 80%;
                    }
                }
            }
    
            .quiz--wrapper {
                // flex: 0 0 50%;
                // max-height: 50%;

                padding: 2rem 0;

                @media screen and (max-width: 399px) and (max-height: 600px){
                    padding: 1rem 0;
                }
    
                .swiper-slide {
                    max-width: 100%;
                    width: 100% !important;

                    .question {
                        color: #fff;
                        margin-bottom: 4rem;

                        p {
                            line-height: 1.3;
                            
                            padding: 0 1rem;

                            &:nth-child(1){
                                margin-bottom: .5rem;
                                font-size: 22px;
                                font-weight: bold;
                                letter-spacing: 1px;
                            }

                            &:nth-child(2){
                                letter-spacing: .65px;
                                font-size: 12px;
                                font-weight: 200;
                            }
                        }

                        @media screen and (max-width: 767px){
                            margin-bottom: 3rem;

                            p {
                                &:nth-child(1){
                                    font-size: 20px;
                                }
                            }
                        }

                        @media screen and (max-width: 399px) and (max-height: 600px){

                            p {
                                &:nth-child(1){
                                    font-size: 18px;
                                }
                            }
                        }
                    }

                    .question-slider {
                        margin-bottom: 3rem;
                        padding: 0 3rem;

                        input.slider-input {
                            opacity: 0;
                            position: relative;
                            z-index: 5;
                            display: block;
                            width: 100%;
                            margin-left: auto;
                            margin-right: auto;
                        }

                        > .slider {
                            position: relative;
                            display: block;

                            .slider-container {
                                position: absolute;
                                top: 50%;
                                left: 0;
                                width: 100%;
                                height: 100%;
                                transform: translateY(-50%);
                                user-select: none;
                                pointer-events: none;

                                .bar, .dot {
                                    position: absolute;
                                    display: block;
                                }

                                .bar {
                                    width: 100%;

                                    .dot {
                                        width: 25%;
                                        padding: 0 1px;

                                        &:before {
                                            position: absolute;
                                            width: 100%;
                                            left: 50%;
                                            top: -1.5rem;
                                            color: #6B9AF4;
                                            font-size: 10px;
                                            letter-spacing: 1px;
                                            transform-origin: center;
                                            white-space: nowrap;
                                            transform: translate(-50%, -50%);
                                            transition: all 300ms ease-in-out;
                                        }
                                        
                                        &:after {
                                            content: '';
                                            display: block;
                                            height: 13px;
                                            opacity: 0.3;
                                            background-color: #9FC0FF;
                                            transition: all 300ms ease-in-out;

                                        }

                                        &:first-child {
                                            &:before {
                                                content: 'Tidak pernah';
                                            }

                                            &:after {
                                                border-top-left-radius: 2rem;
                                                border-bottom-left-radius: 2rem;
                                                overflow: hidden;
                                            }
                                        }

                                        &:nth-child(2) {
                                            &:before {
                                                content: 'Kadang-kadang';
                                            }
                                        }

                                        &:nth-child(3) {
                                            &:before {
                                                content: 'Sering';
                                            }
                                        }

                                        &:last-child {
                                            &:before {
                                                content: 'Sangat sering';
                                            }

                                            &:after {
                                                border-top-right-radius: 2rem;
                                                border-bottom-right-radius: 2rem;
                                                overflow: hidden;
                                            }
                                        }
                                    }

                                    &[data-value="1"]{
                                        .dot:first-child:before {
                                            top: 300%;
                                            font-size: 12px;
                                        }

                                        .dot:first-child:after {
                                            opacity: 1;
                                            background-color: #FFC956;
                                            background: linear-gradient(180deg, #FFDC91 0%, #FFC956 100%);
                                        }
                                    }

                                    &[data-value="2"]{
                                        .dot:nth-child(2):before {
                                            top: 300%;
                                            font-size: 12px;
                                        }

                                        .dot:nth-child(2):after {
                                            opacity: 1;
                                            background-color: #FFC956;
                                            background: linear-gradient(180deg, #FFDC91 0%, #FFC956 100%);
                                        }
                                    }

                                    &[data-value="3"]{
                                        .dot:nth-child(3):before {
                                            top: 300%;
                                            font-size: 12px;
                                        }

                                        .dot:nth-child(3):after {
                                            opacity: 1;
                                            background-color: #FFC956;
                                            background: linear-gradient(180deg, #FFDC91 0%, #FFC956 100%);
                                        }
                                    }

                                    &[data-value="4"]{
                                        .dot:last-child:before {
                                            top: 300%;
                                            font-size: 12px;
                                        }

                                        .dot:last-child:after {
                                            opacity: 1;
                                            background-color: #FFC956;
                                            background: linear-gradient(180deg, #FFDC91 0%, #FFC956 100%);
                                        }
                                    }

                                    @include media-breakpoint-up(md) {
                                        .dot {
                                            &:before {
                                                font-size: 14px;
                                            }
                                        }
                                    }
                                }

                                .bar-btn {
                                    position: absolute;
                                    user-select: none;
                                    pointer-events: none;
                                    z-index: 2;
                                    width: 30px;
                                    height: 30px;
                                    top: calc(50% - 15px);
                                    left: 0;
                                    transition: all 0.3s ease-in-out;
                                    transform: translateX(-50%);
                                    
                                    filter: drop-shadow(0px 8px 7px rgba(0, 0, 0, 0.2));
                                    
                                    svg {
                                        display: block;
                                        width: 100%;
                                        height: 100%; 
                                        // animation: rotation 0.4s ease-out 0.8s;
                                    }
                                }
                            }
                        }

                        @media screen and (max-width: 767px){
                            padding: 0 1rem;
                        }
                    }
    
                    .btn-slider {
                        width: 270px;
                        padding-top: .65rem;
                        padding-bottom: .65rem;
                    }
                }
            }
        }

        // @media screen and (min-width: 400px) and (min-height: 800px){
        //     .quiz--outer {
        //         .animation--wrapper {
        //             .video--wrapper {
        //                 padding-bottom: 100%;
        //             }
        //         }
        //     }
        // }

        // @include media-breakpoint-up(md) {
        //     .quiz--outer {
        //         display: block;
        //         height: auto;

        //         .animation--wrapper {
        //             max-height: none;
        //             height: calc(100vh - 64px);
        //             display: flex;
        //             align-items: flex-start;
        //             justify-content: center;

        //             .video--wrapper {
        //                 padding-bottom: 40%;
        //             }
                    
        //             // .animation {
        //             //     margin-top: 5rem;
        //             // }
        //         }

        //         .quiz--wrapper {
        //             max-height: none;
        //             position: absolute;
        //             width: 100%;
        //             height: 60%;
        //             left: 0;
        //             bottom: 0;

        //             .swiper-slide {
        //                 .question {
        //                     p {
        //                         &:nth-child(1){
        //                             font-size: 22px;
        //                         }
    
        //                         &:nth-child(2){
        //                             font-size: 16px;
        //                         }
        //                     }
        //                 }
        //             }
        //         }
        //     }
        // }

        // @include media-breakpoint-up(lg) {
        //     .quiz--outer {
        //         .quiz--wrapper {
        //             display: flex;
        //             align-items: center;
        //             justify-content: center;
        //             height: 40%;
        //         }
        //     }
        // }

        // @include media-breakpoint-up(xl) {
        //     .quiz--outer {
        //         .animation--wrapper {
        //             .video--wrapper {
        //                 padding-bottom: 25%;
        //             }
        //         }

        //         .quiz--wrapper {
        //             height: 45%;
        //         }
        //     }
        // }

        // @media screen and (min-width: 1600px){
        //     .quiz--outer {
        //         .animation--wrapper {
        //             .video--wrapper {
        //                 padding-bottom: 35%;
        //             }
        //         }

        //         .quiz--wrapper {
        //             height: 35%;
        //         }
        //     }
        // }
    }
}

.home-button--wrapper {
    top: .5rem;
    left: .5rem;
    z-index: 2;
    
    a {
        display: block;
        width: 60px;
        height: 60px;
        padding: 15px;
        opacity: 0.75;
        transition: opacity 200ms ease-in-out;

        svg {
            width: 100%;
            height: 100%;
        }
    }

    @media screen and (min-width: 768px){
        top: 1rem;
        left: 1rem;
    }

    @media screen and (min-width: 1200px){
        top: 2rem;
        left: 2rem;

        a {
            &:hover {
                opacity: 1;
            }
        }
    }
}

.modal.login-modal {
    .modal-dialog {
        .modal-content {
            background-color: #F4FBFF;

            .modal-header {
                color: #fff;
                padding: 1rem 2rem;
                background-color: #003EA5;
                background: linear-gradient(164.5deg, #4784D0 -30.25%, #0038AA 71.7%), #003EA5;

                h5 {
                    text-align: center;
                    letter-spacing: 1px;

                    .logo__main {
                        display: inline-block;
                        vertical-align: bottom;
                        height: 40px;
                        margin-bottom: 6px;

                        img {
                            height: 100%;
                        }
                    }
                }
            }

            .modal-body {
                padding: 0;
                max-height: 400px;

                .alert {
                    position: relative;
                    padding: 0.75rem 1.25rem;
                    margin-bottom: 1rem;
                    border: 1px solid transparent;
                    border-radius: 0.75rem;
                }

                .alert-danger {
                    color: #721c24;
                    background-color: #f8d7da;
                    border-color: #f5c6cb;
                }

                .slide-form {
                    padding: 1rem 2rem;
                    margin: 0 auto 2rem;
                    
                    &:not(.register){
                        max-width: 460px;
                    }

                    .form-group {
                        label {
                            display: block;
                        }

                        .form-control {
                            height: auto;
                            padding: .75rem 1.25rem;
                            border-radius: 5rem;
                            border: none;
                            color: #0038AA;
                            box-shadow: 0px 10px 30px rgba(103, 151, 179, 0.15);

                            &::placeholder {
                                color: #7BBBDD;
                            }
                        }
                    }

                    .form-check {
                        input[type="checkbox"]{
                            top: -2px;
                        }

                        label {
                            color: #999;
                            font-size: 12px;

                            a {
                                color: lighten(#0038AA, 10%);
                                text-decoration: underline;
                            }
                        }
                    }

                    .row {
                        margin-left: -3px;
                        margin-right: -3px;

                        > * {
                            padding-left: 3px;
                            padding-right: 3px;
                        }
                    }

                    .forgot-pass-cta {
                        font-weight: bold;
                    }
                }

                .slide-cta {
                    padding: 1rem;
                    background-color: #AEE3FF;

                    p {
                        color: #0038AA;
                        margin-bottom: 0;
                        font-size: 14px;

                        a {
                            color: inherit;
                            font-weight: bold;
                            text-decoration: underline;
                        }
                    }
                }
            }
        }
    }
}

.modal.tnc-modal {
    .modal-dialog {
        .modal-content {
            h5 {
                color: #003EA5;
            }

            h5 {
                margin-bottom: .5rem;
            }

            .modal-body {
                p {
                    font-size: 12px;
                }
            }
        }
    }
}